#
# spec file for package procmail (Version 3.22)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           procmail
BuildRequires:  pcre-devel postfix
URL:            http://www.procmail.org/
License:        Artistic License, GPL v2 or later
Group:          Productivity/Networking/Email/Clients
Autoreqprov:    on
Version:        3.22
Release:        56.8
Summary:        A program for local e-mail delivery
Source:         procmail-%{version}.tar.bz2
Patch0:         procmail-%{version}-mailstat.patch
Patch1:         procmail-%{version}.dif
Patch2:         procmail-cflags.dif
Patch3:         procmail-%{version}-headerconcat.dif
Patch4:         procmail-%{version}-owl-truncate.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sendmail calls procmail to deliver email into a local folder. Procmail
can be configured to store e-mail in different folders.



Authors:
--------
    Stephen R. van den Berg <srb@cuci.nl>
    Philip Guenther <guenther@sendmail.com>

%debug_package
%prep
%setup
%patch0 -b .mailstat
%patch1
%patch2
%patch3
%patch4

%build
    make XCFLAGS="-fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" MANDIR=%{_mandir}

%install
    rm -rf $RPM_BUILD_ROOT
    mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5} $RPM_BUILD_ROOT/usr/bin
    make MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT/usr/bin install
    install -m 644 man/mailstat.man $RPM_BUILD_ROOT%{_mandir}/man1/mailstat.1

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ FEATURES README examples
/usr/bin/formail
/usr/bin/lockfile
/usr/bin/mailstat
/usr/bin/procmail
%{_mandir}/man1/formail.1.gz
%{_mandir}/man1/lockfile.1.gz
%{_mandir}/man1/procmail.1.gz
%{_mandir}/man1/mailstat.1.gz
%{_mandir}/man5/procmailex.5.gz
%{_mandir}/man5/procmailrc.5.gz
%{_mandir}/man5/procmailsc.5.gz

%changelog
* Fri Jul 27 2007 - werner@suse.de
- Use only fcntl(2) for locking, do not mix with flock(2) (#231845)
* Thu May 11 2006 - werner@suse.de
- Enable large file support (bug #174497)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - werner@suse.de
- Fix the last bug fix to re-enable biff/comsat (bug #135883)
* Mon Nov 07 2005 - werner@suse.de
- Do not truncate a folder if reached quota (bug #132530)
* Sun May 09 2004 - od@suse.de
- fixed handling of folded headers: delete leading whitespace
* Fri Mar 26 2004 - ro@suse.de
- added postfix to neededforbuild
* Mon Feb 23 2004 - werner@suse.de
- Reenabled locking with fcntl.
* Mon Feb 23 2004 - werner@suse.de
- Update to procmail 3.22 (includes maildir feature)
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Mon Sep 01 2003 - pthomas@suse.de
- Pass -fno-strict-aliasing to gcc, as regexp.c uses type punning
  and thus could be miscompiled.
* Wed May 28 2003 - coolo@suse.de
- use BuildRoot
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Wed Jan 22 2003 - mmj@suse.de
- Enabled locking with fcntl as well
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Jan 11 2001 - werner@suse.de
- Update to 3.15.1 due security:
  * A race to create the mailspool would bounce one of the
  messages due to an internal error
  * LC_ in KEEPENV would preserve only the first LC_foo variable
  * Strip runtime linker variables (LD_*) from environment on
  all platforms
  * Drop duplicate and malformed environment entries
* Tue Jan 09 2001 - werner@suse.de
- Update to 3.15 due to security issue
* Thu Nov 23 2000 - werner@suse.de
- Update to 3.14
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Dec 06 1999 - werner@suse.de
- Fix default PATH
* Fri Oct 01 1999 - werner@suse.de
- New version 3.13.1
- Add procmail-maildir.patch (supporting of maildirs with ending '/')
- Add procmail-locking.patch (no locking for directories required)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 17 1998 - werner@suse.de
- Use mktemp
* Thu Jul 16 1998 - werner@suse.de
- fix for mailstat script
* Mon Jul 07 1997 - florian@suse.de
- update to version 3.11-pre7
- add docu files in /usr/doc/packages
* Thu Jan 02 1997 - florian@suse.de
- Umstieg auf non-sgid-mail spool-Verzeichnis.
